#################################
### DATA GENERATING MECHANISM ###
### FOR SIMULATED DATA        ###
#################################

#load library
library(msm)

# simulation parameters
set.seed(24)
nsim <- 1e3

#DGM
alpha0 <- 36.6
alpha1 <- -.1
alpha3 <- -5 
alpha5 <- c(.04, -.1, -.04, .02, .04, -.02, .04, .12)
sigma <- sd(alpha5)

# DISTRIBUTION PARAMETERS
minage <- 0
maxage <- 50
muload <- .5
sdload <- .25
minload <- 0
maxload <- 1

# generate output
voltfun <- function(age, load) 
  alpha0 + alpha1*age+ alpha3*load + rnorm(age, 0, sigma)
