
data {
  int<lower=0> n; // number of observations 
  real y[n]; // estimated treatment effects
  real age[n];
}
parameters {
  real beta0;
  real beta1;
  real<lower=0> sigma;

}
transformed parameters {
  real mu[n];

  for (i in 1:n){
    mu[i] = beta0 + beta1*age[i];
        // mua[i] = gamma0 + gamma1*load[i];
  }

}
model {
  y ~ normal(mu, sigma);
  
}
