
// Sensitivity study model under confounding bias, sensitivity parameters known

data {
  int<lower=0> n; 
  real y[n]; 
  real age[n];
  real beta2;
}
parameters {
  real beta0;
  real beta1;
  real<lower=0, upper=1> load[n]; 
  real<lower=0> sigma;
}
transformed parameters {
  real mu[n];
  real mul[n];
  real sigmal[n];
  
  for (i in 1:n){
    mu[i] = beta0 + beta1*age[i] + beta2*load[i];
    mul[i] = .5 + .02*age[i];
    sigmal[i] = .25;
  }

}
model {
  y ~ normal(mu, sigma);
  for(i in 1:n)
  load[i] ~ normal(mul[i], sigmal[i]) T[0,1];
}
